#
# Conditional build:
%bcond_with	tests	# perform "make test" (requires /proc access)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	GTop
Summary:	GTop - Perl interface to libgtop
Summary(pl.UTF-8):	GTop - interfejs perlowy do libgtop
Name:		perl-GTop
Version:	0.16
Release:	6
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/GTop/%{pdir}-%{version}.tar.gz
# Source0-md5:	c3b1f36c3c9e1031f783027fe1c098d0
Patch0:		%{name}-error_h.patch
URL:		http://search.cpan.org/dist/GTop/
BuildRequires:	libgtop-devel >= 2.0
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	pkgconfig
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package is a Perl interface to libgtop:
<http://home-of-linux.org/gnome/libgtop/>.

See also: Stas Bekman's Apache::VMonitor
<http://www.cpan.org/modules/by-module/Apache/>.

%description -l pl.UTF-8
Ten pakiet jest perlowym interfejsem do libgtop:
<http://home-of-linux.org/gnome/libgtop/>.

Warto zobaczyć także Apache::VMonitor Stasa Bekmana:
<http://www.cpan.org/modules/by-module/Apache/>.

%prep
%setup -q -n %{pdir}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorarch}/*.pm
%dir %{perl_vendorarch}/auto/GTop
%attr(755,root,root) %{perl_vendorarch}/auto/GTop/GTop.so
%{perl_vendorarch}/config.pl
%{_mandir}/man3/*
%changelog
* Fri Sep 12 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-GTop.git;a=log;h=master

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 1925b01
- release 6 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> cd8d8ea
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 605965d
- rebuild for perl 5.20
- release 5 (by relup.sh)

* Sun Jul 13 2014 Łukasz Kieś <kiesiu@pld-linux.org> 08cd331
- libgtop rebuild
- release 4 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> df6fe8a
- rebuild with perl 5.18.0
- release 3 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> f43b41a
- release 2

* Tue Jun 23 2009 amateja <amateja@pld-linux.org> 4de3c21
- updated to 0.16

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> 24a546c
- generic URL

* Mon Mar 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> e276159
- release 3

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 2cc6100
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 6039d6f
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> c161bfe
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 3ca5947
- converted to UTF-8

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> 7e958fa
- orphaned, outdated

* Sat May 21 2005 ankry <ankry@pld-linux.org> ba3ba90
- kill obsolete #includes

* Sat May 21 2005 ankry <ankry@pld-linux.org> 3125f9a
- 0.15; fixed build with new libgtop

* Sat May 21 2005 ankry <ankry@pld-linux.org> 6c81c7f
- rel. 3

* Sun May 01 2005 Elan Ruusamäe <glen@pld-linux.org> 9ca8d66
- %description url unification
  find -name '*.spec' | xargs -l1024 sed -i -e 's#\(http://.\+/\) \.#<\1>.#g'

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 93567b4
- formatting

* Fri Sep 17 2004 havner <havner@pld-linux.org> 787877e
- rel 2 to rebuild with new gtop

